package cz.jzitnik.game.sprites;

import java.util.HashMap;

import cz.jzitnik.tui.Sprite;

public class Zombie extends Sprite<Zombie.ZombieState> {
    public enum ZombieState {
        TOP, TOP_HURT,
        BOTTOM, BOTTOM_HURT
    }

    public Zombie() {
        loadResources(new HashMap<>() {
            {
                put(ZombieState.TOP, "mobs/zombie/top.ans");
                put(ZombieState.TOP_HURT, "mobs/zombie/tophurt.ans");
                put(ZombieState.BOTTOM, "mobs/zombie/bottom.ans");
                put(ZombieState.BOTTOM_HURT, "mobs/zombie/bottomhurt.ans");
            }
        }, ZombieState.class);
    }

    @Override
    public String getSprite() {
        return getSprite(ZombieState.TOP);
    }

    @Override
    public String getSprite(ZombieState key) {
        return super.getResource(key);
    }
}
